<div class="controlDisplay2" [formGroup]="form">
    <label [attr.for]="productsData.key">{{productsData.label}}</label>
    <div class="controlDisplay" [ngSwitch]="productsData.controlType">
        <input
            class="controlDisplay"
            *ngSwitchCase="'textbox'"
            [formControlName]="productsData.key"
            [id]="productsData.key"
            [type]="productsData.type"
        />

        <select
            class="controlDisplay"
            [id]="productsData.key"
            *ngSwitchCase="'dropdown'"
            [formControlName]="productsData.key"
        >
            <option *ngFor="let opt of productsData.options" [value]="opt.key">
                {{opt.value}}
            </option>
        </select>
    </div>

    <div class="errorMessage" *ngIf="!isValid">
        {{productsData.validationMessage}}
    </div>
</div>
